
/*
 * $Id: constants.i,v 1.1.1.1 2001/10/15 06:54:54 davidma Exp $
 *
 * Python libnet
 * Copyright (C) 2001, David Margrave (davidma@eskimo.com)
 * 
 * This program is free software you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef IPPROTO_IP
#define IPPROTO_IP IPPROTO_IP
#endif
#ifndef IPPROTO_TCP
#define IPPROTO_TCP IPPROTO_TCP
#endif
#ifndef IPPROTO_UDP
#define IPPROTO_UDP IPPROTO_UDP
#endif
#ifndef IPPROTO_ICMP
#define IPPROTO_ICMP IPPROTO_ICMP
#endif
#ifndef IPPROTO_IGMP
#define IPPROTO_IGMP IPPROTO_IGMP
#endif
#ifndef IPPROTO_OSPF
#define IPPROTO_OSPF IPPROTO_OSPF
#endif
#ifndef IPPROTO_OSPF_LSA
#define IPPROTO_OSPF_LSA IPPROTO_OSPF_LSA
#endif
#ifndef IPPROTO_VRRP
#define IPPROTO_VRRP IPPROTO_VRRP
#endif
#ifndef IPPROTO_RAW
#define IPPROTO_RAW IPPROTO_RAW
#endif

#ifndef ARP_H
#define ARP_H LIBNET_ARP_H
#endif
#ifndef DNS_H
#define DNS_H LIBNET_DNS_H
#endif
#ifndef ETH_H
#define ETH_H LIBNET_ETH_H
#endif
#ifndef ICMP_H
#define ICMP_H LIBNET_ICMP_H
#endif
#ifndef ICMP_ECHO_H
#define ICMP_ECHO_H LIBNET_ICMP_ECHO_H
#endif
#ifndef ICMP_MASK_H
#define ICMP_MASK_H LIBNET_ICMP_MASK_H
#endif
#ifndef ICMP_UNREACH_H
#define ICMP_UNREACH_H LIBNET_ICMP_UNREACH_H
#endif
#ifndef ICMP_TIMXCEED_H
#define ICMP_TIMXCEED_H LIBNET_ICMP_TIMXCEED_H
#endif
#ifndef ICMP_REDIRECT_H
#define ICMP_REDIRECT_H LIBNET_ICMP_REDIRECT_H
#endif
#ifndef ICMP_TS_H
#define ICMP_TS_H LIBNET_ICMP_TS_H
#endif
#ifndef IGMP_H
#define IGMP_H LIBNET_IGMP_H
#endif
#ifndef IP_H
#define IP_H LIBNET_IP_H
#endif
#ifndef RIP_H
#define RIP_H LIBNET_RIP_H
#endif
#ifndef TCP_H
#define TCP_H LIBNET_TCP_H
#endif
#ifndef UDP_H
#define UDP_H LIBNET_UDP_H
#endif
#ifndef VRRP_H
#define VRRP_H LIBNET_VRRP_H
#endif

#ifndef IP_MAXPACKET
#define IP_MAXPACKET IP_MAXPACKET
#endif
#ifndef MAX_IPOPTLEN
#define MAX_IPOPTLEN MAX_IPOPTLEN
#endif
#ifndef IP_OFFMASK
#define IP_OFFMASK IP_OFFMASK
#endif
#ifndef IP_DF
#define IP_DF IP_DF
#endif
#ifndef IP_MF
#define IP_MF IP_MF
#endif

#ifndef TH_URG
#define TH_URG TH_URG
#endif
#ifndef TH_ACK
#define TH_ACK TH_ACK
#endif
#ifndef TH_PUSH
#define TH_PUSH TH_PUSH
#endif
#ifndef TH_RST
#define TH_RST TH_RST
#endif
#ifndef TH_SYN
#define TH_SYN TH_SYN
#endif
#ifndef TH_FIN
#define TH_FIN TH_FIN
#endif

#ifndef ICMP_ECHOREPLY
#define ICMP_ECHOREPLY ICMP_ECHOREPLY
#endif
#ifndef ICMP_UNREACH
#define ICMP_UNREACH ICMP_UNREACH
#endif
#ifndef ICMP_SOURCEQUENCH
#define ICMP_SOURCEQUENCH ICMP_SOURCEQUENCH
#endif
#ifndef ICMP_REDIRECT
#define ICMP_REDIRECT ICMP_REDIRECT
#endif
#ifndef ICMP_ECHO
#define ICMP_ECHO ICMP_ECHO
#endif
#ifndef ICMP_ROUTERADVERT
#define ICMP_ROUTERADVERT ICMP_ROUTERADVERT
#endif
#ifndef ICMP_ROUTERSOLICIT
#define ICMP_ROUTERSOLICIT ICMP_ROUTERSOLICIT
#endif
#ifndef ICMP_TIMXCEED
#define ICMP_TIMXCEED ICMP_TIMXCEED
#endif
#ifndef ICMP_PARAMPROB
#define ICMP_PARAMPROB ICMP_PARAMPROB
#endif
#ifndef ICMP_TSTAMP
#define ICMP_TSTAMP ICMP_TSTAMP
#endif
#ifndef ICMP_TSTAMPREPLY
#define ICMP_TSTAMPREPLY ICMP_TSTAMPREPLY
#endif
#ifndef ICMP_IREQ
#define ICMP_IREQ ICMP_IREQ
#endif
#ifndef ICMP_IREQREPLY
#define ICMP_IREQREPLY ICMP_IREQREPLY
#endif
#ifndef ICMP_MASKREQ
#define ICMP_MASKREQ ICMP_MASKREQ
#endif
#ifndef ICMP_MASKREPLY
#define ICMP_MASKREPLY ICMP_MASKREPLY
#endif
#ifndef ICMP_UNREACH_NET
#define ICMP_UNREACH_NET ICMP_UNREACH_NET
#endif
#ifndef ICMP_UNREACH_HOST
#define ICMP_UNREACH_HOST ICMP_UNREACH_HOST
#endif
#ifndef ICMP_UNREACH_PROTOCOL
#define ICMP_UNREACH_PROTOCOL ICMP_UNREACH_PROTOCOL
#endif
#ifndef ICMP_UNREACH_PORT
#define ICMP_UNREACH_PORT ICMP_UNREACH_PORT
#endif
#ifndef ICMP_UNREACH_NEEDFRAG
#define ICMP_UNREACH_NEEDFRAG ICMP_UNREACH_NEEDFRAG
#endif
#ifndef ICMP_UNREACH_SRCFAIL
#define ICMP_UNREACH_SRCFAIL ICMP_UNREACH_SRCFAIL
#endif
#ifndef ICMP_UNREACH_NET_UNKNOWN
#define ICMP_UNREACH_NET_UNKNOWN ICMP_UNREACH_NET_UNKNOWN
#endif
#ifndef ICMP_UNREACH_HOST_UNKNOWN
#define ICMP_UNREACH_HOST_UNKNOWN ICMP_UNREACH_HOST_UNKNOWN
#endif
#ifndef ICMP_UNREACH_ISOLATED
#define ICMP_UNREACH_ISOLATED ICMP_UNREACH_ISOLATED
#endif
#ifndef ICMP_UNREACH_NET_PROHIB
#define ICMP_UNREACH_NET_PROHIB ICMP_UNREACH_NET_PROHIB
#endif
#ifndef ICMP_UNREACH_HOST_PROHIB
#define ICMP_UNREACH_HOST_PROHIB ICMP_UNREACH_HOST_PROHIB
#endif
#ifndef ICMP_UNREACH_TOSNET
#define ICMP_UNREACH_TOSNET ICMP_UNREACH_TOSNET
#endif
#ifndef ICMP_UNREACH_TOSHOST
#define ICMP_UNREACH_TOSHOST ICMP_UNREACH_TOSHOST
#endif
#ifndef ICMP_UNREACH_FILTER_PROHIB
#define ICMP_UNREACH_FILTER_PROHIB ICMP_UNREACH_FILTER_PROHIB
#endif
#ifndef ICMP_UNREACH_HOST_PRECEDENCE
#define ICMP_UNREACH_HOST_PRECEDENCE ICMP_UNREACH_HOST_PRECEDENCE
#endif
#ifndef ICMP_UNREACH_PRECEDENCE_CUTOFF
#define ICMP_UNREACH_PRECEDENCE_CUTOFF ICMP_UNREACH_PRECEDENCE_CUTOFF
#endif
#ifndef ICMP_REDIRECT_NET
#define ICMP_REDIRECT_NET ICMP_REDIRECT_NET
#endif
#ifndef ICMP_REDIRECT_HOST
#define ICMP_REDIRECT_HOST ICMP_REDIRECT_HOST
#endif
#ifndef ICMP_REDIRECT_TOSNET
#define ICMP_REDIRECT_TOSNET ICMP_REDIRECT_TOSNET
#endif
#ifndef ICMP_REDIRECT_TOSHOST
#define ICMP_REDIRECT_TOSHOST ICMP_REDIRECT_TOSHOST
#endif
#ifndef ICMP_TIMXCEED_INTRANS
#define ICMP_TIMXCEED_INTRANS ICMP_TIMXCEED_INTRANS
#endif
#ifndef ICMP_TIMXCEED_REASS
#define ICMP_TIMXCEED_REASS ICMP_TIMXCEED_REASS
#endif
#ifndef ICMP_PARAMPROB_OPTABSENT
#define ICMP_PARAMPROB_OPTABSENT ICMP_PARAMPROB_OPTABSENT
#endif

#ifndef IGMP_MEMBERSHIP_QUERY
#define IGMP_MEMBERSHIP_QUERY IGMP_MEMBERSHIP_QUERY
#endif
#ifndef IGMP_V1_MEMBERSHIP_REPORT
#define IGMP_V1_MEMBERSHIP_REPORT IGMP_V1_MEMBERSHIP_REPORT
#endif
#ifndef IGMP_V2_MEMBERSHIP_REPORT
#define IGMP_V2_MEMBERSHIP_REPORT IGMP_V2_MEMBERSHIP_REPORT
#endif
#ifndef IGMP_LEAVE_GROUP
#define IGMP_LEAVE_GROUP IGMP_LEAVE_GROUP
#endif

#ifndef ARPHRD_ETHER
#define ARPHRD_ETHER ARPHRD_ETHER
#endif
#ifndef ARPOP_REQUEST
#define ARPOP_REQUEST ARPOP_REQUEST
#endif
#ifndef ARPOP_REPLY
#define ARPOP_REPLY ARPOP_REPLY
#endif
#ifndef ARPOP_REVREQUEST
#define ARPOP_REVREQUEST ARPOP_REVREQUEST
#endif
#ifndef ARPOP_REVREPLY
#define ARPOP_REVREPLY ARPOP_REVREPLY
#endif
#ifndef ARPOP_INVREQUEST
#define ARPOP_INVREQUEST ARPOP_INVREQUEST
#endif
#ifndef ARPOP_INVREPLY
#define ARPOP_INVREPLY ARPOP_INVREPLY
#endif

#ifndef RIPCMD_REQUEST
#define RIPCMD_REQUEST RIPCMD_REQUEST
#endif
#ifndef RIPCMD_RESPONSE
#define RIPCMD_RESPONSE RIPCMD_RESPONSE
#endif
#ifndef RIPCMD_TRACEON
#define RIPCMD_TRACEON RIPCMD_TRACEON
#endif
#ifndef RIPCMD_TRACEOFF
#define RIPCMD_TRACEOFF RIPCMD_TRACEOFF
#endif
#ifndef RIPCMD_POLL
#define RIPCMD_POLL RIPCMD_POLL
#endif
#ifndef RIPCMD_POLLENTRY
#define RIPCMD_POLLENTRY RIPCMD_POLLENTRY
#endif
#ifndef RIPCMD_MAX
#define RIPCMD_MAX RIPCMD_MAX
#endif
#ifndef RIPVER_0
#define RIPVER_0 RIPVER_0
#endif
#ifndef RIPVER_1
#define RIPVER_1 RIPVER_1
#endif
#ifndef RIPVER_2
#define RIPVER_2 RIPVER_2
#endif

#ifndef OSPF_H
#define OSPF_H LIBNET_OSPF_H
#endif
#ifndef HELLO_H
#define HELLO_H LIBNET_HELLO_H
#endif
#ifndef DBD_H
#define DBD_H LIBNET_DBD_H
#endif
#ifndef LSR_H
#define LSR_H LIBNET_LSR_H
#endif
#ifndef LSU_H
#define LSU_H LIBNET_LSU_H
#endif
#ifndef LSA_H
#define LSA_H LIBNET_LSA_H
#endif
#ifndef AUTH_H
#define AUTH_H LIBNET_AUTH_H
#endif
#ifndef OSPF_CKSUM
#define OSPF_CKSUM LIBNET_OSPF_CKSUM
#endif
#ifndef LS_RTR_LEN
#define LS_RTR_LEN LIBNET_LS_RTR_LEN
#endif
#ifndef LS_NET_LEN
#define LS_NET_LEN LIBNET_LS_NET_LEN
#endif
#ifndef LS_SUM_LEN
#define LS_SUM_LEN LIBNET_LS_SUM_LEN
#endif
#ifndef LS_AS_EXT_LEN
#define LS_AS_EXT_LEN LIBNET_LS_AS_EXT_LEN
#endif
#ifndef OSPF_UMD
#define OSPF_UMD LIBNET_OSPF_UMD
#endif
#ifndef OSPF_HELLO
#define OSPF_HELLO LIBNET_OSPF_HELLO
#endif
#ifndef OSPF_DBD
#define OSPF_DBD LIBNET_OSPF_DBD
#endif
#ifndef OSPF_LSR
#define OSPF_LSR LIBNET_OSPF_LSR
#endif
#ifndef OSPF_LSU
#define OSPF_LSU LIBNET_OSPF_LSU
#endif
#ifndef OSPF_LSA
#define OSPF_LSA LIBNET_OSPF_LSA
#endif
#ifndef OSPF_AUTH_NULL
#define OSPF_AUTH_NULL LIBNET_OSPF_AUTH_NULL
#endif
#ifndef OSPF_AUTH_SIMPLE
#define OSPF_AUTH_SIMPLE LIBNET_OSPF_AUTH_SIMPLE
#endif
#ifndef OSPF_AUTH_MD5
#define OSPF_AUTH_MD5 LIBNET_OSPF_AUTH_MD5
#endif
#ifndef OPT_EBIT
#define OPT_EBIT LIBNET_OPT_EBIT
#endif
#ifndef OPT_MCBIT
#define OPT_MCBIT LIBNET_OPT_MCBIT
#endif
#ifndef OPT_NPBIT
#define OPT_NPBIT LIBNET_OPT_NPBIT
#endif
#ifndef OPT_EABIT
#define OPT_EABIT LIBNET_OPT_EABIT
#endif
#ifndef OPT_DCBIT
#define OPT_DCBIT LIBNET_OPT_DCBIT
#endif
#ifndef DBD_IBIT
#define DBD_IBIT LIBNET_DBD_IBIT
#endif
#ifndef DBD_MBIT
#define DBD_MBIT LIBNET_DBD_MBIT
#endif
#ifndef DBD_MSBIT
#define DBD_MSBIT LIBNET_DBD_MSBIT
#endif
#ifndef LS_TYPE_RTR
#define LS_TYPE_RTR LIBNET_LS_TYPE_RTR
#endif
#ifndef LS_TYPE_NET
#define LS_TYPE_NET LIBNET_LS_TYPE_NET
#endif
#ifndef LS_TYPE_IP
#define LS_TYPE_IP LIBNET_LS_TYPE_IP
#endif
#ifndef LS_TYPE_ASBR
#define LS_TYPE_ASBR LIBNET_LS_TYPE_ASBR
#endif
#ifndef LS_TYPE_ASEXT
#define LS_TYPE_ASEXT LIBNET_LS_TYPE_ASEXT
#endif
#ifndef RTR_FLAGS_W
#define RTR_FLAGS_W LIBNET_RTR_FLAGS_W
#endif
#ifndef RTR_FLAGS_E
#define RTR_FLAGS_E LIBNET_RTR_FLAGS_E
#endif
#ifndef RTR_FLAGS_B
#define RTR_FLAGS_B LIBNET_RTR_FLAGS_B
#endif
#ifndef LINK_ID_NBR_ID
#define LINK_ID_NBR_ID LIBNET_LINK_ID_NBR_ID
#endif
#ifndef LINK_ID_IP_DES
#define LINK_ID_IP_DES LIBNET_LINK_ID_IP_DES
#endif
#ifndef LINK_ID_SUB
#define LINK_ID_SUB LIBNET_LINK_ID_SUB
#endif
#ifndef RTR_TYPE_PTP
#define RTR_TYPE_PTP LIBNET_RTR_TYPE_PTP
#endif
#ifndef RTR_TYPE_TRANS
#define RTR_TYPE_TRANS LIBNET_RTR_TYPE_TRANS
#endif
#ifndef RTR_TYPE_STUB
#define RTR_TYPE_STUB LIBNET_RTR_TYPE_STUB
#endif
#ifndef AS_E_BIT_ON
#define AS_E_BIT_ON LIBNET_AS_E_BIT_ON
#endif

#ifndef VRRP_TYPE_ADVERT
#define VRRP_TYPE_ADVERT LIBNET_VRRP_TYPE_ADVERT
#endif
#ifndef VRRP_AUTH_NONE
#define VRRP_AUTH_NONE LIBNET_VRRP_AUTH_NONE
#endif
#ifndef VRRP_AUTH_PASSWD
#define VRRP_AUTH_PASSWD LIBNET_VRRP_AUTH_PASSWD
#endif
#ifndef VRRP_AUTH_IPAH
#define VRRP_AUTH_IPAH LIBNET_VRRP_AUTH_IPAH
#endif

#ifndef PRAND_MAX
#define PRAND_MAX LIBNET_PRAND_MAX
#endif
#ifndef PR2
#define PR2 LIBNET_PR2
#endif
#ifndef PR8
#define PR8 LIBNET_PR8
#endif
#ifndef PR16
#define PR16 LIBNET_PR16
#endif
#ifndef PRu16
#define PRu16 LIBNET_PRu16
#endif
#ifndef PR32
#define PR32 LIBNET_PR32
#endif
#ifndef PRu32
#define PRu32 LIBNET_PRu32
#endif

#ifndef ERR_WARNING
#define ERR_WARNING LIBNET_ERR_WARNING
#endif
#ifndef ERR_CRITICAL
#define ERR_CRITICAL LIBNET_ERR_CRITICAL
#endif
#ifndef ERR_FATAL
#define ERR_FATAL LIBNET_ERR_FATAL
#endif

#ifndef DONT_RESOLVE
#define DONT_RESOLVE LIBNET_DONT_RESOLVE
#endif
#ifndef RESOLVE
#define RESOLVE LIBNET_RESOLVE
#endif

#ifndef ETHER_ADDR_LEN
#define ETHER_ADDR_LEN ETHER_ADDR_LEN
#endif
#ifndef ETHERTYPE_PUP
#define ETHERTYPE_PUP ETHERTYPE_PUP
#endif
#ifndef ETHERTYPE_IP
#define ETHERTYPE_IP ETHERTYPE_IP
#endif
#ifndef ETHERTYPE_ARP
#define ETHERTYPE_ARP ETHERTYPE_ARP
#endif
#ifndef ETHERTYPE_REVARP
#define ETHERTYPE_REVARP ETHERTYPE_REVARP
#endif
#ifndef ETHERTYPE_VLAN
#define ETHERTYPE_VLAN ETHERTYPE_VLAN
#endif
#ifndef ETHERTYPE_LOOPBACK
#define ETHERTYPE_LOOPBACK ETHERTYPE_LOOPBACK
#endif

